Bug 330981 - NM doesn't see changed wired, and doesn't wait for wireless
NM doesn't see changed wired, and doesn't wait for wireless
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-13 17:25 EDT by sean
Modified: 2008-09-29 22:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-29 22:42:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sean 2007-10-13 17:25:58 EDT
Description of problem:
booting compaq presario 714 laptop, intel 965 chipset.

dmesg:
8139too Fast Ethernet driver 0.9.28
ata2.00: ATAPI: Optiarc DVD RW AD-7530B, NH02, max MWDMA2
ata2.00: configured for MWDMA2
scsi 1:0:0:0: CD-ROM            Optiarc  DVD RW AD-7530B  NH02 PQ: 0 ANSI: 5
scsi 1:0:0:0: Attached scsi generic sg1 type 5
ACPI: PCI Interrupt 0000:00:1f.3[D] -> GSI 19 (level, low) -> IRQ 20
ACPI: PCI Interrupt 0000:02:01.0[A] -> GSI 16 (level, low) -> IRQ 22
PCI: Setting latency timer of device 0000:02:01.0 to 64
eth0: RealTek RTL8139 at 0xf8bf4000, 00:1b:38:3b:17:fb, IRQ 22
eth0:  Identified 8139 chip type 'RTL-8100B/8139D'
ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 22 (level, low) -> IRQ 23
PCI: Setting latency timer of device 0000:00:1b.0 to 64
8139cp: 10/100 PCI Ethernet driver v1.3 (Mar 22, 2004)
net eth1: device_rename: sysfs_create_symlink failed (-17)
udev: renamed network interface eth0 to eth1
........

syslog:
Oct 13 14:27:49 localhost NetworkManager: <info>  starting...
Oct 13 14:27:49 localhost NetworkManager: <info>  eth1: Device is
fully-supported using driver '8139too'.
Oct 13 14:27:49 localhost NetworkManager: <info>  Now managing wired Ethernet
(802.3) device 'eth1'.
Oct 13 14:27:49 localhost NetworkManager: <info>  Bringing up device eth1
Oct 13 14:27:49 localhost kernel: eth1: link up, 100Mbps, full-duplex, lpa 0xC5E1
Oct 13 14:27:49 localhost NetworkManager: <info>  Deactivating device eth1.
Oct 13 14:27:55 localhost NetworkManager: <info>  Trying to start the supplicant...
Oct 13 14:27:55 localhost NetworkManager: <info>  (eth1) supplicant interface is
now in state 1 (from 0).
Oct 13 14:27:56 localhost NetworkManager: <info>  (eth1) supplicant interface is
now in state 2 (from 1).

so when it finishes, nothing is connected, and the NM applet says "No network
connection"

ifup eth1 works, but NM still doesn't see it.

And then when I try to get the wireless card up:

Oct 13 17:18:31 localhost kernel: ndiswrapper version 1.49rc3 loaded (smp=yes,
preempt=no)
Oct 13 17:18:32 localhost kernel: ndiswrapper: driver bcmwl5
(Broadcom,10/12/2006, 4.100.15.5) loaded
Oct 13 17:18:32 localhost kernel: ACPI: PCI Interrupt 0000:01:00.0[A] -> GSI 16
(level, low) -> IRQ 22
Oct 13 17:18:32 localhost kernel: ndiswrapper: using IRQ 22
Oct 13 17:18:32 localhost kernel: wlan0: ethernet device 00:1a:73:89:a7:14 using
NDIS driver: bcmwl5, version: 0x4640f05, NDIS version: 0x501, vendor: 'NDIS
Network Adapter', 14E4:4311.5.conf
Oct 13 17:18:32 localhost kernel: wlan0: encryption modes supported: WEP; TKIP
with WPA, WPA2, WPA2PSK; AES/CCMP with WPA, WPA2, WPA2PSK
Oct 13 17:18:32 localhost kernel: usbcore: registered new interface driver
ndiswrapper
Oct 13 17:18:32 localhost NetworkManager: <info>  wlan0: Device is
fully-supported using driver 'ndiswrapper'.
Oct 13 17:18:32 localhost NetworkManager: <info>  Now managing wireless (802.11)
device 'wlan0'.
Oct 13 17:18:32 localhost NetworkManager: <info>  Bringing up device wlan0
Oct 13 17:18:32 localhost kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Oct 13 17:18:32 localhost NetworkManager: <info>  Deactivating device wlan0.
Oct 13 17:18:32 localhost NetworkManager: <info>  (wlan0) supplicant interface
is now in state 2 (from 1).

And there's no way I can get the wlan up.


Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.3.svn2970.fc8

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dan Williams 2007-10-31 20:38:07 EDT
Can you try with latest rawhide bits?  Also make sure you check the
'autoconnect' option in GConf.  Run 'gconf-editor' then drill down to
/system/networking/connections and find your "Auto Ethernet" and check the
'autoconnect' option in the 'connection' folder for that connection.  That will
tell NM to connect by default.  Prior to and including Test 3, the autoconnect
stuff wasn't implemented and therefore autoconnect was turned off.
Comment 2 Bug Zapper 2008-04-04 10:05:52 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Dan Williams 2008-09-29 22:42:16 EDT
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.